# XFCE image for the Pandora handheld console

IMAGE_LINGUAS = "de-de fr-fr en-gb en-us es-es"

#IMAGE_LOGIN_MANAGER = "shadow"

inherit image

PR = "r13"

export IMAGE_BASENAME = "pandora-xfce-image"

SPLASH = "psplash-omap3pandora"

DEPENDS = "task-base"

IMAGE_INSTALL += " \
    task-pandora-core \
    task-pandora-xfce \
    ${SPLASH} \	
"

IMAGE_PREPROCESS_COMMAND = "create_etc_timestamp"

# Helper to say what image we built, include GIT tag and image name.
PANDORA_VERSION_FILE = "${IMAGE_ROOTFS}/${sysconfdir}/op-version"
ROOTFS_POSTPROCESS_COMMAND += "OLD_PWD=$PWD; cd `dirname '${FILE_DIRNAME}'`; echo Tag Name: `git tag|tail -n 1`> ${PANDORA_VERSION_FILE};cd $OLD_PWD;"
ROOTFS_POSTPROCESS_COMMAND += "OLD_PWD=$PWD; cd `dirname '${FILE_DIRNAME}'`; echo GIT-VERSION: `git log -n1 --pretty=oneline|awk '{print $1}'` >> ${PANDORA_VERSION_FILE}; cd $OLD_PWD;"
ROOTFS_POSTPROCESS_COMMAND += "OLD_PWD=$PWD; cd `dirname '${FILE_DIRNAME}'`; echo Branch: ` git branch |awk '/*/{print $2}'` >> ${PANDORA_VERSION_FILE}; cd $OLD_PWD;"
ROOTFS_POSTPROCESS_COMMAND += "echo Version: 1.7.0.6 - R1.5 Codename Super Zaxxon, Beta 1.1>> ${PANDORA_VERSION_FILE};"
ROOTFS_POSTPROCESS_COMMAND += "echo Image Builder: '${LOGNAME}'@`cat /etc/hostname` >> ${PANDORA_VERSION_FILE};"
ROOTFS_POSTPROCESS_COMMAND += "echo Time Stamp: `date -R` >> ${PANDORA_VERSION_FILE};"
ROOTFS_POSTPROCESS_COMMAND += "echo Base Image Name: '${IMAGE_BASENAME}' >> ${PANDORA_VERSION_FILE};"

# HACK for different serial ports used by different kernels
ROOTFS_POSTPROCESS_COMMAND += "sed -i -e '/ttyS0/d' ${IMAGE_ROOTFS}/${sysconfdir}/inittab;"
ROOTFS_POSTPROCESS_COMMAND += "sed -i -e '$a S0:2345:once:/sbin/getty 115200 ttyS0' ${IMAGE_ROOTFS}/${sysconfdir}/inittab;"
ROOTFS_POSTPROCESS_COMMAND += "sed -i -e '$a O2:2345:once:/sbin/getty 115200 ttyO2' ${IMAGE_ROOTFS}/${sysconfdir}/inittab;"
ROOTFS_POSTPROCESS_COMMAND += "sed -i -e '/ttyS2/a ttyO2' ${IMAGE_ROOTFS}/${sysconfdir}/securetty;"

# temporary hack for new kernel test
ROOTFS_POSTPROCESS_COMMAND += "if [ -e ${HOME}/oe_rootfs_extra.tar.bz2 ]; then tar -C ${IMAGE_ROOTFS}/ -xvf ${HOME}/oe_rootfs_extra.tar.bz2; fi;"
